Name:           scirenderer
Version:        1.1.0
Release:        %mkrel 2
Summary:        A Java rendering library based on JoGL
Group:          Development/Java

License:        CeCILL
URL:            http://forge.scilab.org/index.php/p/scirenderer
Source0:        http://forge.scilab.org/index.php/p/scirenderer/downloads/get/%{name}-%{version}.tar.gz

Patch1:         %{name}-0001-update-to-jogl2.patch

BuildRequires:  java-devel
BuildRequires:  jpackage-utils

BuildRequires:  ant
BuildRequires:  jogl2
BuildRequires:  jlatexmath

Requires:       java
Requires:       jpackage-utils
Requires:       jogl2
Requires:       jlatexmath

BuildArch:      noarch

%description
This Java API allows 2-D or 3-D plotting from simple 2-D graph to complex
scenes.
Independent library and used within Scilab software but is
available for other application and developments.

%package javadoc
Summary:        API Documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%patch1 -p1 -b .jogl2

# Update path according to the Mageia Guidelines
tee scirenderer-libs.properties << EOF
jogl2.jar=%{_jnidir}/jogl2.jar
gluegen2-rt.jar=%{_jnidir}/gluegen2-rt.jar
jlatexmath.jar=%{_javadir}/jlatexmath.jar
EOF

# fix file-not-utf8
iconv -f ISO_8859-15 -t UTF-8 -o COPYING.utf8 COPYING
mv COPYING.utf8 COPYING

# fix class-path-in-manifest
sed -i '/Class-Path/I d' build.xml

%build
ant jar doc

%install
mkdir -p %{buildroot}%{_javadir}
cp -pr jar/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%doc README
%doc COPYING
%doc CHANGES

%files javadoc
%{_javadocdir}/%{name}
%doc README
%doc COPYING
%doc CHANGES




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 541460
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 grenoya <grenoya> 1.1.0-1.mga4
+ Revision: 495948
- add patch 0001 from Fedora to fix code according to stable JogL2

  + dmorgan <dmorgan>
    - New version

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 381876
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 grenoya <grenoya> 1.0.3-1.mga3
+ Revision: 344160
- imported package scirenderer

